Premios/Polls/urls.py
from django.urls import path
from . import views


app_name = 'polls'
urlpatterns = [
      path('', views.Index, name='index'),
      path('<int:question>/', views.Detalle, name='detalle'),
      path('vote/<int:question>/', views.Vote, name='vote'),
      path('<int:question>/', views.Resultados, name='resultados'),
]

Premios/Premios_Platzi/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('admin/', admin.site.urls),
    path('polls/', include('Polls.urls')),
]

Premios/Polls/models.py
from django.db import models


class Forms(models.Model):
      name = models.CharField(max_length=100)
      date = models.DateTimeField("Publicado")


      def __str__(self) -> str:
            return self.name

class Datos(models.Model):
      correo = models.ForeignKey(Forms,on_delete=models.CASCADE)
      othercorreo = models.CharField(max_length=100)
      numberuser= models.IntegerField(default=0)      

      def __str__(self) -> str:
            return self.correo 

     

Premios/Polls/views.py
from django.shortcuts import render
from django.http import HttpResponse, HttpResponseRedirect
from django.urls import reverse
from .models import Question, Choice
from django.shortcuts import get_object_or_404

def Index(request):
      questions = Question.objects.all()
      context = {'question': questions}
      return render(request,'polls/index.html', context)


def Detalle(request, question):
      question = Question.objects.get(pk=question)
      choice = Choice.objects.all()
     
      Dic = {
            'numb': question,
            'question': question,
            'choice': choice,
          }
      return render(request,'polls/detalle.html', Dic)


def Vote(request,question):
      question = get_object_or_404(Question, pk=question)
      try:
        selected_choice = question.choice_set.get(
            pk=request.POST['choice'])
      except (KeyError, Choice.DoesNotExist):
   
        return render(request, 'polls/detalle.html', {
            'question': question,
            'error_message': "Debes seleccionar una respusta.",
        })
      else:
        selected_choice.vote += 1
        selected_choice.save()
      return render(request,'polls/resultados.html')


# Resultados traera las respuesta de las mas famosas y las compara con 
# algo llamado  (Moda de respuestas)
#  (Moda de respuestas) sera una clase con metodos para 
# crear un analisis de los usuarios, sus respuestas y preguntas  votadas.
# En  la --> def ViewsModa(request,Eleccion) <-- 
# de acuerdo a la respuestas     
def Resultados(request,question):
      
      return render(request, 'polls/resultados.html')
      
      
      
      
      
      

         
          

Premios/Polls/templates/polls/detalle.html
{% load static %}


<!DOCTYPE html>
<html lang="en">
<head>
      <link rel="stylesheet" href=" {% static 'polls/stylos.css' %} ">
      <meta charset="UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.
0">
      <title>Home</title>
</head>
<body>



                  <form action="{% url 'polls:vote' question.id %}" 
                  method="post">
            {% csrf_token %}
            <fieldset>
                  <legend>
                        <h1>{{ question.question_text }}</h1>
                  </legend>
            {% if error_message %}
            <p><strong>
                  {{ error_message }}
                  </strong></p>
                  {% endif %}
            {% for choice in question.choice_set.all %}

                  <input 
                  type="radio" 
                  name="choice"
                  id="choice{{ forloop.counter }}" 
                  value="{{ choice.id }}">

                  <label for="choice{{ forloop.counter }}">
                        {{ choice.choice_text }}
                  </label>
                  <br>
            {% endfor %}
            </fieldset>
            <input type="submit" value="Vote">
            <button>
                  <a href="{% url 'polls:index'  %}">Home </a>
            </button>
            </form>
</body>




<!--
<div>
      
      <form action=" {% url 'polls:vote' question.id %}"  method='POST' >
            {% csrf_token %}
                  {% if question %}
            <ul>
                  <label for="choices {{ forloop.counter}}">
                              <h2>{{ question }}</h2>
                        {% for choices in question.choice_set.all %}
                        
                              <li>
                                    <input 
                                    type="radio" 
                                    name="choices" 
                                    id=" choices {{ forloop.counter}}">
                                 {{question.id}}  question id 
                                    {{choices.id}}     choice id
                                     {{ choices }}     choices
                              </li>
                              
                        {% endfor %}
                  </label>
            </ul>
{% else %}
<p>
      No existen Respuestas
</p>
{% endif %}
<button type='submit' >
      Votar
</button>
      </form>

<button>
      <a href=" {% url 'polls:index'  %} ">Preguntas</a>
</button>

</div>
-->

Premios/Polls/templates/polls/index.html
{% load static %}


<!DOCTYPE html>
<html lang="en">
<head>
      <link rel="stylesheet" href=" {% static 'polls/stylos.css' %} ">
      <meta charset="UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <title>Home</title>
</head>
<body>
      

<div>
      {% if question %}
         <fieldset>   <ul> 
                 <h1> Preguntas </h1>
                  {% for question in question %}
                        <li>
                             <a href=" {% url  "polls:detalle"  question.id  %} ">
                               {{ question}}   
                              </a>
                        </li>
                  {% endfor %}
            
            </ul></fieldset>
      {% else %}
      <h1>Sorry!</h1>
      <p>
            No hay preguntas
      </p>
      {% endif %}
</div>



</body>
</html>

Premios/Polls/templates/polls/nofound.html
<h1>No existe</h1>

Premios/Polls/templates/polls/resultados.html
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>  
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>
<h1>Aun esta en desarrollo!</h1>